# -*- coding: utf-8 -*-

from gettext import gettext as _

EXERCISES = (
    ( "AB_rope_twisters",
        _("AB rope twisters"),
"""
Low intensity: pull from the top and pull down, make sure you keep your hips still as you're providing turns.
High intensity: pull from the top, and as you pull down, you're turning into a hop twist.
This is a great activity for your intermediate stunts to be challenging.
""",
    ),
    ( "Bell_hops",
        _("Bell hops"),
"""
Low intensity is pausing between the hop forward and back.
High intensity is using your arms to pull yourself forward and backwards.
""",
    ),
    ( "Bob_weave", 
        _("Bob & weave"),
"""
Students bend knees in centre and straighten up over one side, bend knees and straighten up over the other side.
Arm actions can vary.
""",
    ),
    ( "Box_hop", 
        _("Box hop"),
"""
Low intensity two feet hop
High intensity is a single foot hop in a square shape.
""",
    ),
    ( "Chicken_jacks", 
        _("Chicken jacks"),
"""
Low impact is a half chicken jack, high impact is a regular chicken jack.
""",
    ),
    ( "Cross_country_skier",
        _("Cross country skier"),
"""
Low intensity pause in between movements and lower arms
High intensity: pump your arms high and legs spread wide.
""",
    ),
    ( "Gluteal_kicks",
        _("Gluteal kicks"),
"""
Low intensity is without a bounce.
High intensity is with a bounce.
""",
    ),
    ( "Half_turns",
        _("Half turns"),
"""
Low intensity: quarter turns and moderate intensity are half turns.
Do not do full turn, it is not safe.
""",
    ),
    ( "In_out_heel_touch",
        _("In-out heel touch"),
"""
Low intensity touch the outside part of your heel only.
Medium intensity is touch outside to outside, inside to inside.
High intensity is outside, inside, inside outside.
""",
    ),
    ( "Jump_twist",
        _("Jump & twist"),
    ),
    ( "Lollipop_hops",
        _("Lollipop hops"),
"""
Up, out, down, out, up, out, down, out, up.
""",
    ),
    ( "Pogo_jumps",
        _("Pogo jumps"),
"""
Low intensity, it's not as quick,
High intensity you're bouncing off your toes quickly
""",
    ),
    ( "Punch_up",
        _("Punch up & down"),
"""
Low intensity: with a knee bent and punching.
High intensity: punching high/high, low/low with a hop.
""",
    ),
    ( "Rock_paper_scissors",
        _("Rock-Paper-Scissors"),
"""
Hop to rock, hop to paper, hop to scissors...
Hop to rock, hop to paper, hop to scissors...
Rock, paper, scissors...
""",
    ),
    ( "Scissors",
        _("Scissors"),
    ),
    ( "Squat_hops",
        _("Squat hops"),
"""
Make sure your knees don't go over your toes, and that you're leaning back on your heels.
Low intensity: no hop.
High intensity: with a hop.
""",
    ),
    ( "Step_touch",
        _("Step touch"),
    ),
    ( "V_hops",
        _("V hops"),
"""
Low intensity: step forward left then right, then together.
Medium intensity: add a hop.
High intensity is double time.
Add arms in and out.
"""
    ),
    ( "Wounded_duck",
        _("Wounded duck"),
"""
Wrist, knees, toes in, wrist, knees, toes out, wrist, knees, toes in and out, in and out, in out, in out.
"""
    ),
    ( "X_jumps",
        _("X jumps"),
    ),
)

DANCES = (
    ( "Box_step",
        _("Box step"),
"""
Step forward on the right foot, cross left foot over right, step back with the right, then open out again to the side with your left foot. The opposite moves are acceptable as well.
""",
        "slide",
    ),
    ( "Chacha",
        _("Chacha"),
"""
Step right left right and pause, then step left right left and pause. Arms can vary.
""",
        "chacha",
    ),
    ( "Cross_kick",
        _("Cross kick"),
"""
Step on the right foot, kick your left leg across in front of the body to the right side. Return the right foot to the ground and repeat on the left side. Arms can vary.
""",
        "crosskick",
    ),
    ( "Foot_fires",
        _("Foot fires"),
"""
In a straddle position, run as fast as you can on the spot.
""",
        "footfires",
    ),
    ( "Funky_jack",
        _("Funky jack"),
"""
Jump feet in straddle, jump together return to straddle and pause. Repeat jumping together and pause.
""",
        "funk",
    ),
    ( "Heel_clicks",
        _("Heel clicks"),
"""
Stand with feet hip width apart and on your toes click your heels together.
""",
        "funk",
    ),
    ( "Rock_side",
        _("Rock side to side"),
"""
With legs in the straddle bounce the upper body over to the right side two times and to the left two times.
""",
        "rock",
    ),
    ( "Rocking_horse",
        _("Rocking horse"),
"""
Step forward on the right foot and flex the left leg. Step back on the left foot, and bring the right knee forward. Repeat on the left side.
""",
        "rock",
    ),
    ( "Slide",
        _("Slide"),
"""
Step to the right and drag the left foot beside. Repeat moving to the left.
""",
        "slide",
    ),
    ( "Sway",
        _("Sway"),
"""
Stand with legs in straddle and transfer weight from right to left swaying from side to side. Arms are raised above the head and sway with the body from right to left.
""",
        "slide",
    ),
)

